DefaultGraphSelectionModel.CellPlaceHolder (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.DefaultGraphSelectionModel.CellPlaceHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultGraphSelectionModel.CellPlaceHolder

    java.lang.Object
      org.jgraph.graph.DefaultGraphSelectionModel.CellPlaceHolder

Enclosing class:
  DefaultGraphSelectionModel

protected class DefaultGraphSelectionModel.CellPlaceHolder
extends Object

Holds a path and whether or not it is new.

Field Summary
`protected Object` | `cell`
`protected boolean` | `isNew`

Constructor Summary
`protected` | `DefaultGraphSelectionModel.CellPlaceHolder(Object cell, boolean isNew)`

Method Summary
`Object` | `getCell()` Returns the cell.
`boolean` | `isNew()` Returns the isNew.
`void` | `setCell(Object cell)` Sets the cell.
`void` | `setNew(boolean isNew)` Sets the isNew.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isNew

    protected boolean isNew

### cell

    protected Object cell

Constructor Detail

### DefaultGraphSelectionModel.CellPlaceHolder

    protected DefaultGraphSelectionModel.CellPlaceHolder(Object cell,
                                                         boolean isNew)

Method Detail

### getCell

    public Object getCell()

  Returns the cell.

  Returns:
    Object

### isNew

    public boolean isNew()

  Returns the isNew.

  Returns:
    boolean

### setCell

    public void setCell(Object cell)

  Sets the cell.

  Parameters:
    `cell` - The cell to set

### setNew

    public void setNew(boolean isNew)

  Sets the isNew.

  Parameters:
    `isNew` - The isNew to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.